nav {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    background-color: var(--root-color-footer---link);
    color: var(--root-color-text---footer);
    padding: 10px 0px;
    width: 100%;
    flex-direction: row;
    align-content: center;
}

nav a {
    text-decoration: none;
    color: var(--root-color-text---footer);
    border-radius: 15px;
    padding: 10px 20px;
    margin-inline: 1%;
    margin: 0px 10px;
    background-color: var(--root-color-company--logo);
}

#nav.flexBlock {
    display: flex;
    flex-direction: row;
}

.media {
    flex-direction: column;
    position: fixed;
    width: auto;
    left: 0;
    bottom: 1%;
}
.media a {
    background-color: transparent;
    color: var(--root-color-text-----main);
    display: flex;
    align-items: center;
    gap: 10px;
}
.media a:hover {
    transform: scale(1.5) translateX(20px);
    color: yellow;    
}

@media only screen and (max-width: 1000px) {    
    .media {
        position: static;
    }
}
@media only screen and (max-width: 700px) {
    nav {
        flex-direction: column;
    }

    nav a {
        margin: 10px;
        text-align: -webkit-center;
    }

    #nav.flexBlock {
        flex-direction: column;
        width: 100%;
    }
}
